Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## opencard.core.terminal
Class CardTerminalException

    java.lang.Object
      |
      +--java.lang.Throwable
            |
            +--java.lang.Exception
                  |
                  +--java.io.IOException
                        |
                        +--opencard.core.OpenCardException
                              |
                              +--opencard.core.terminal.CardTerminalException

Direct Known Subclasses:
  CardNotPresentException, CommunicationErrorException, InvalidSlotChannelException, TerminalInitException, TerminalTimeoutException

public class CardTerminalException
extends OpenCardException

Through a `CardTerminalException` we signal all exceptions upstream.

See Also:
  Serialized Form

Constructor Summary
`CardTerminalException()` The empty constructor.
`CardTerminalException(java.lang.String s)` Constructs an object of this class.
`CardTerminalException(java.lang.String s, CardTerminal aTerminal)` Constructs an object of this class.
`CardTerminalException(java.lang.String s, CardTerminal aTerminal, int slotID)` Constructs an object of this class.
`CardTerminalException(java.lang.String s, CardTerminal aTerminal, Slot aSlot)` Deprecated. use CardTerminalException(String, CardTerminal, int)

Method Summary
`CardTerminal` | `getCardTerminal()` Gets the `CardTerminal` object where this exception occurred.
`int` | `getSlot()` Gets the `Slot` object where this exception occurred.

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getLocalizedMessage, getMessage, printStackTrace, printStackTrace, printStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### CardTerminalException

    public CardTerminalException()

  The empty constructor.

### CardTerminalException

    public CardTerminalException(java.lang.String s)

  Constructs an object of this class.
  Parameters:
    `s` - message telling a bit more about the cause of this exception

### CardTerminalException

    public CardTerminalException(java.lang.String s,
                                 CardTerminal aTerminal)

  Constructs an object of this class. Information about the terminal where this exception originated is given.
  Parameters:
    `s` - A message telling a bit more about the cause of this exception
    `aTerminal` - The `CardTerminal` where the exception originated.

### CardTerminalException

    public CardTerminalException(java.lang.String s,
                                 CardTerminal aTerminal,
                                 Slot aSlot)

  Deprecated. use CardTerminalException(String, CardTerminal, int)

### CardTerminalException

    public CardTerminalException(java.lang.String s,
                                 CardTerminal aTerminal,
                                 int slotID)

  Constructs an object of this class. Information about the terminal and slot where this exception originated is given.
  Parameters:
    `s` - A message telling a bit more about the cause of this exception
    `aTerminal` - The `CardTerminal` where the exception originated.
    `aSlot` - The `slot number` where the exception originated.

Method Detail

### getCardTerminal

    public CardTerminal getCardTerminal()

  Gets the `CardTerminal` object where this exception occurred.
  Returns:
    The reference to the `CardTerminal`.

### getSlot

    public int getSlot()

  Gets the `Slot` object where this exception occurred.
  Returns:
    The reference to the `Slot`.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD